Subject: Re: Rename offensive terminology (master)

From: "J. Paul Reed" <[email-masked]>
Date: Sun, 14 Jun 2020 21:45:33 -0700

Heya Andrew... turns out I read this list too, so... thanks for referencin'
all my work!

Some thoughts inline:

On 15 Jun 2020 at 13:52:50, Andrew Ardill arranged the bits on my disk to say:

[SNIP]

> Even if git borrowed 'master' from BitKeeper AND BitKeeper used it in
> a "Master and Slave" fashion, that doesn't mean that the person
> introducing it to git was using it in a "Master and Slave" fashion,

https://marc.info/?l=git&m=111968031816936&w=2

https://marc.info/?l=git&m=111634468526506&w=2

Oops.

> It's just as likely that the 'master' usage was common in the industry

Do you have any specific references to, specifically, common usage in the
industry, at that time?

> My conclusion?
> 
> Of all the usages of master in BitKeeper, the overwhelming majority of
> them are of the "Master Copy" variant, consistent with how I and many
> other people I have seen comment understand gits usage of the term
> master.

See above.

> To reiterate my point at the top - I believe this information is
> irrelevant when deciding what git should do now, and my preference
> would be to have no default at all.

Cool. Sounds like we mostly agree...

-p
-- 
J. Paul Reed
https://jpaulreed.com
PGP: 0xDF8708F8